# Form implementation generated from reading ui file 'src/eric7/Plugins/WizardPlugins/EricMessageBoxWizard/EricMessageBoxWizardDialog.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_EricMessageBoxWizardDialog(object):
    def setupUi(self, EricMessageBoxWizardDialog):
        EricMessageBoxWizardDialog.setObjectName("EricMessageBoxWizardDialog")
        EricMessageBoxWizardDialog.resize(600, 851)
        EricMessageBoxWizardDialog.setSizeGripEnabled(True)
        self.verticalLayout_2 = QtWidgets.QVBoxLayout(EricMessageBoxWizardDialog)
        self.verticalLayout_2.setObjectName("verticalLayout_2")
        self.typeBox = QtWidgets.QGroupBox(parent=EricMessageBoxWizardDialog)
        self.typeBox.setObjectName("typeBox")
        self.gridLayout = QtWidgets.QGridLayout(self.typeBox)
        self.gridLayout.setObjectName("gridLayout")
        self.rInformation = QtWidgets.QRadioButton(parent=self.typeBox)
        self.rInformation.setChecked(True)
        self.rInformation.setObjectName("rInformation")
        self.gridLayout.addWidget(self.rInformation, 0, 0, 1, 1)
        self.rQuestion = QtWidgets.QRadioButton(parent=self.typeBox)
        self.rQuestion.setFocusPolicy(QtCore.Qt.FocusPolicy.TabFocus)
        self.rQuestion.setObjectName("rQuestion")
        self.gridLayout.addWidget(self.rQuestion, 0, 1, 1, 1)
        self.rWarning = QtWidgets.QRadioButton(parent=self.typeBox)
        self.rWarning.setFocusPolicy(QtCore.Qt.FocusPolicy.TabFocus)
        self.rWarning.setObjectName("rWarning")
        self.gridLayout.addWidget(self.rWarning, 0, 2, 1, 1)
        self.rCritical = QtWidgets.QRadioButton(parent=self.typeBox)
        self.rCritical.setFocusPolicy(QtCore.Qt.FocusPolicy.TabFocus)
        self.rCritical.setObjectName("rCritical")
        self.gridLayout.addWidget(self.rCritical, 0, 3, 1, 1)
        self.rYesNo = QtWidgets.QRadioButton(parent=self.typeBox)
        self.rYesNo.setObjectName("rYesNo")
        self.gridLayout.addWidget(self.rYesNo, 1, 0, 1, 1)
        self.rRetryAbort = QtWidgets.QRadioButton(parent=self.typeBox)
        self.rRetryAbort.setObjectName("rRetryAbort")
        self.gridLayout.addWidget(self.rRetryAbort, 1, 1, 1, 1)
        self.rOkToClearData = QtWidgets.QRadioButton(parent=self.typeBox)
        self.rOkToClearData.setObjectName("rOkToClearData")
        self.gridLayout.addWidget(self.rOkToClearData, 1, 2, 1, 1)
        self.rAbout = QtWidgets.QRadioButton(parent=self.typeBox)
        self.rAbout.setFocusPolicy(QtCore.Qt.FocusPolicy.TabFocus)
        self.rAbout.setObjectName("rAbout")
        self.gridLayout.addWidget(self.rAbout, 2, 0, 1, 1)
        self.rAboutQt = QtWidgets.QRadioButton(parent=self.typeBox)
        self.rAboutQt.setFocusPolicy(QtCore.Qt.FocusPolicy.TabFocus)
        self.rAboutQt.setObjectName("rAboutQt")
        self.gridLayout.addWidget(self.rAboutQt, 2, 1, 1, 1)
        self.rStandard = QtWidgets.QRadioButton(parent=self.typeBox)
        self.rStandard.setObjectName("rStandard")
        self.gridLayout.addWidget(self.rStandard, 2, 2, 1, 1)
        self.verticalLayout_2.addWidget(self.typeBox)
        self.lResultVar = QtWidgets.QLabel(parent=EricMessageBoxWizardDialog)
        self.lResultVar.setObjectName("lResultVar")
        self.verticalLayout_2.addWidget(self.lResultVar)
        self.eResultVar = QtWidgets.QLineEdit(parent=EricMessageBoxWizardDialog)
        self.eResultVar.setObjectName("eResultVar")
        self.verticalLayout_2.addWidget(self.eResultVar)
        self.textLabel1 = QtWidgets.QLabel(parent=EricMessageBoxWizardDialog)
        self.textLabel1.setObjectName("textLabel1")
        self.verticalLayout_2.addWidget(self.textLabel1)
        self.eCaption = QtWidgets.QLineEdit(parent=EricMessageBoxWizardDialog)
        self.eCaption.setObjectName("eCaption")
        self.verticalLayout_2.addWidget(self.eCaption)
        self.textLabel2 = QtWidgets.QLabel(parent=EricMessageBoxWizardDialog)
        self.textLabel2.setObjectName("textLabel2")
        self.verticalLayout_2.addWidget(self.textLabel2)
        self.eMessage = EricSpellCheckedTextEdit(parent=EricMessageBoxWizardDialog)
        self.eMessage.setTabChangesFocus(True)
        self.eMessage.setObjectName("eMessage")
        self.verticalLayout_2.addWidget(self.eMessage)
        self.parentGroup = QtWidgets.QGroupBox(parent=EricMessageBoxWizardDialog)
        self.parentGroup.setObjectName("parentGroup")
        self.gridLayout_3 = QtWidgets.QGridLayout(self.parentGroup)
        self.gridLayout_3.setObjectName("gridLayout_3")
        self.parentSelf = QtWidgets.QRadioButton(parent=self.parentGroup)
        self.parentSelf.setChecked(True)
        self.parentSelf.setObjectName("parentSelf")
        self.gridLayout_3.addWidget(self.parentSelf, 0, 0, 1, 1)
        self.parentNone = QtWidgets.QRadioButton(parent=self.parentGroup)
        self.parentNone.setObjectName("parentNone")
        self.gridLayout_3.addWidget(self.parentNone, 0, 1, 1, 1)
        self.horizontalLayout_2 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_2.setObjectName("horizontalLayout_2")
        self.parentOther = QtWidgets.QRadioButton(parent=self.parentGroup)
        self.parentOther.setObjectName("parentOther")
        self.horizontalLayout_2.addWidget(self.parentOther)
        self.parentEdit = QtWidgets.QLineEdit(parent=self.parentGroup)
        self.parentEdit.setEnabled(False)
        self.parentEdit.setObjectName("parentEdit")
        self.horizontalLayout_2.addWidget(self.parentEdit)
        self.gridLayout_3.addLayout(self.horizontalLayout_2, 1, 0, 1, 2)
        self.verticalLayout_2.addWidget(self.parentGroup)
        self.standardButtons = QtWidgets.QGroupBox(parent=EricMessageBoxWizardDialog)
        self.standardButtons.setObjectName("standardButtons")
        self.gridLayout_2 = QtWidgets.QGridLayout(self.standardButtons)
        self.gridLayout_2.setObjectName("gridLayout_2")
        self.abortCheck = QtWidgets.QCheckBox(parent=self.standardButtons)
        self.abortCheck.setObjectName("abortCheck")
        self.gridLayout_2.addWidget(self.abortCheck, 0, 0, 1, 1)
        self.applyCheck = QtWidgets.QCheckBox(parent=self.standardButtons)
        self.applyCheck.setObjectName("applyCheck")
        self.gridLayout_2.addWidget(self.applyCheck, 0, 1, 1, 1)
        self.cancelCheck = QtWidgets.QCheckBox(parent=self.standardButtons)
        self.cancelCheck.setObjectName("cancelCheck")
        self.gridLayout_2.addWidget(self.cancelCheck, 0, 2, 1, 1)
        self.closeCheck = QtWidgets.QCheckBox(parent=self.standardButtons)
        self.closeCheck.setObjectName("closeCheck")
        self.gridLayout_2.addWidget(self.closeCheck, 0, 3, 1, 1)
        self.discardCheck = QtWidgets.QCheckBox(parent=self.standardButtons)
        self.discardCheck.setObjectName("discardCheck")
        self.gridLayout_2.addWidget(self.discardCheck, 0, 4, 1, 1)
        self.helpCheck = QtWidgets.QCheckBox(parent=self.standardButtons)
        self.helpCheck.setObjectName("helpCheck")
        self.gridLayout_2.addWidget(self.helpCheck, 1, 0, 1, 1)
        self.ignoreCheck = QtWidgets.QCheckBox(parent=self.standardButtons)
        self.ignoreCheck.setObjectName("ignoreCheck")
        self.gridLayout_2.addWidget(self.ignoreCheck, 1, 1, 1, 1)
        self.noCheck = QtWidgets.QCheckBox(parent=self.standardButtons)
        self.noCheck.setObjectName("noCheck")
        self.gridLayout_2.addWidget(self.noCheck, 1, 2, 1, 1)
        self.notoallCheck = QtWidgets.QCheckBox(parent=self.standardButtons)
        self.notoallCheck.setObjectName("notoallCheck")
        self.gridLayout_2.addWidget(self.notoallCheck, 1, 3, 1, 1)
        self.okCheck = QtWidgets.QCheckBox(parent=self.standardButtons)
        self.okCheck.setObjectName("okCheck")
        self.gridLayout_2.addWidget(self.okCheck, 1, 4, 1, 1)
        self.openCheck = QtWidgets.QCheckBox(parent=self.standardButtons)
        self.openCheck.setObjectName("openCheck")
        self.gridLayout_2.addWidget(self.openCheck, 2, 0, 1, 1)
        self.resetCheck = QtWidgets.QCheckBox(parent=self.standardButtons)
        self.resetCheck.setObjectName("resetCheck")
        self.gridLayout_2.addWidget(self.resetCheck, 2, 1, 1, 1)
        self.restoreCheck = QtWidgets.QCheckBox(parent=self.standardButtons)
        self.restoreCheck.setObjectName("restoreCheck")
        self.gridLayout_2.addWidget(self.restoreCheck, 2, 2, 1, 1)
        self.retryCheck = QtWidgets.QCheckBox(parent=self.standardButtons)
        self.retryCheck.setObjectName("retryCheck")
        self.gridLayout_2.addWidget(self.retryCheck, 2, 3, 1, 1)
        self.saveCheck = QtWidgets.QCheckBox(parent=self.standardButtons)
        self.saveCheck.setObjectName("saveCheck")
        self.gridLayout_2.addWidget(self.saveCheck, 2, 4, 1, 1)
        self.saveallCheck = QtWidgets.QCheckBox(parent=self.standardButtons)
        self.saveallCheck.setObjectName("saveallCheck")
        self.gridLayout_2.addWidget(self.saveallCheck, 3, 0, 1, 1)
        self.yesCheck = QtWidgets.QCheckBox(parent=self.standardButtons)
        self.yesCheck.setObjectName("yesCheck")
        self.gridLayout_2.addWidget(self.yesCheck, 3, 1, 1, 1)
        self.yestoallCheck = QtWidgets.QCheckBox(parent=self.standardButtons)
        self.yestoallCheck.setObjectName("yestoallCheck")
        self.gridLayout_2.addWidget(self.yestoallCheck, 3, 2, 1, 1)
        self.verticalLayout_2.addWidget(self.standardButtons)
        self.defaultButton = QtWidgets.QGroupBox(parent=EricMessageBoxWizardDialog)
        self.defaultButton.setObjectName("defaultButton")
        self.verticalLayout = QtWidgets.QVBoxLayout(self.defaultButton)
        self.verticalLayout.setObjectName("verticalLayout")
        self.defaultCombo = QtWidgets.QComboBox(parent=self.defaultButton)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.defaultCombo.sizePolicy().hasHeightForWidth())
        self.defaultCombo.setSizePolicy(sizePolicy)
        self.defaultCombo.setObjectName("defaultCombo")
        self.verticalLayout.addWidget(self.defaultCombo)
        self.verticalLayout_2.addWidget(self.defaultButton)
        self.iconBox = QtWidgets.QGroupBox(parent=EricMessageBoxWizardDialog)
        self.iconBox.setObjectName("iconBox")
        self._2 = QtWidgets.QHBoxLayout(self.iconBox)
        self._2.setObjectName("_2")
        self.iconInformation = QtWidgets.QRadioButton(parent=self.iconBox)
        self.iconInformation.setChecked(False)
        self.iconInformation.setObjectName("iconInformation")
        self._2.addWidget(self.iconInformation)
        self.iconQuestion = QtWidgets.QRadioButton(parent=self.iconBox)
        self.iconQuestion.setFocusPolicy(QtCore.Qt.FocusPolicy.TabFocus)
        self.iconQuestion.setChecked(True)
        self.iconQuestion.setObjectName("iconQuestion")
        self._2.addWidget(self.iconQuestion)
        self.iconWarning = QtWidgets.QRadioButton(parent=self.iconBox)
        self.iconWarning.setFocusPolicy(QtCore.Qt.FocusPolicy.TabFocus)
        self.iconWarning.setObjectName("iconWarning")
        self._2.addWidget(self.iconWarning)
        self.iconCritical = QtWidgets.QRadioButton(parent=self.iconBox)
        self.iconCritical.setFocusPolicy(QtCore.Qt.FocusPolicy.TabFocus)
        self.iconCritical.setObjectName("iconCritical")
        self._2.addWidget(self.iconCritical)
        self.verticalLayout_2.addWidget(self.iconBox)
        self.horizontalLayout = QtWidgets.QHBoxLayout()
        self.horizontalLayout.setObjectName("horizontalLayout")
        self.modalCheck = QtWidgets.QCheckBox(parent=EricMessageBoxWizardDialog)
        self.modalCheck.setEnabled(False)
        self.modalCheck.setObjectName("modalCheck")
        self.horizontalLayout.addWidget(self.modalCheck)
        self.yesDefaultCheck = QtWidgets.QCheckBox(parent=EricMessageBoxWizardDialog)
        self.yesDefaultCheck.setEnabled(False)
        self.yesDefaultCheck.setObjectName("yesDefaultCheck")
        self.horizontalLayout.addWidget(self.yesDefaultCheck)
        self.label = QtWidgets.QLabel(parent=EricMessageBoxWizardDialog)
        self.label.setEnabled(False)
        self.label.setObjectName("label")
        self.horizontalLayout.addWidget(self.label)
        self.saveFuncEdit = QtWidgets.QLineEdit(parent=EricMessageBoxWizardDialog)
        self.saveFuncEdit.setEnabled(False)
        self.saveFuncEdit.setObjectName("saveFuncEdit")
        self.horizontalLayout.addWidget(self.saveFuncEdit)
        self.verticalLayout_2.addLayout(self.horizontalLayout)
        self.buttonBox = QtWidgets.QDialogButtonBox(parent=EricMessageBoxWizardDialog)
        self.buttonBox.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.StandardButton.Cancel|QtWidgets.QDialogButtonBox.StandardButton.Ok)
        self.buttonBox.setObjectName("buttonBox")
        self.verticalLayout_2.addWidget(self.buttonBox)

        self.retranslateUi(EricMessageBoxWizardDialog)
        self.buttonBox.accepted.connect(EricMessageBoxWizardDialog.accept) # type: ignore
        self.buttonBox.rejected.connect(EricMessageBoxWizardDialog.reject) # type: ignore
        self.rStandard.toggled['bool'].connect(self.modalCheck.setEnabled) # type: ignore
        self.rYesNo.toggled['bool'].connect(self.yesDefaultCheck.setEnabled) # type: ignore
        self.rOkToClearData.toggled['bool'].connect(self.label.setEnabled) # type: ignore
        self.rOkToClearData.toggled['bool'].connect(self.saveFuncEdit.setEnabled) # type: ignore
        self.parentOther.toggled['bool'].connect(self.parentEdit.setEnabled) # type: ignore
        QtCore.QMetaObject.connectSlotsByName(EricMessageBoxWizardDialog)
        EricMessageBoxWizardDialog.setTabOrder(self.rInformation, self.rQuestion)
        EricMessageBoxWizardDialog.setTabOrder(self.rQuestion, self.rWarning)
        EricMessageBoxWizardDialog.setTabOrder(self.rWarning, self.rCritical)
        EricMessageBoxWizardDialog.setTabOrder(self.rCritical, self.rYesNo)
        EricMessageBoxWizardDialog.setTabOrder(self.rYesNo, self.rRetryAbort)
        EricMessageBoxWizardDialog.setTabOrder(self.rRetryAbort, self.rOkToClearData)
        EricMessageBoxWizardDialog.setTabOrder(self.rOkToClearData, self.rAbout)
        EricMessageBoxWizardDialog.setTabOrder(self.rAbout, self.rAboutQt)
        EricMessageBoxWizardDialog.setTabOrder(self.rAboutQt, self.rStandard)
        EricMessageBoxWizardDialog.setTabOrder(self.rStandard, self.eResultVar)
        EricMessageBoxWizardDialog.setTabOrder(self.eResultVar, self.eCaption)
        EricMessageBoxWizardDialog.setTabOrder(self.eCaption, self.eMessage)
        EricMessageBoxWizardDialog.setTabOrder(self.eMessage, self.parentSelf)
        EricMessageBoxWizardDialog.setTabOrder(self.parentSelf, self.parentNone)
        EricMessageBoxWizardDialog.setTabOrder(self.parentNone, self.parentOther)
        EricMessageBoxWizardDialog.setTabOrder(self.parentOther, self.parentEdit)
        EricMessageBoxWizardDialog.setTabOrder(self.parentEdit, self.abortCheck)
        EricMessageBoxWizardDialog.setTabOrder(self.abortCheck, self.applyCheck)
        EricMessageBoxWizardDialog.setTabOrder(self.applyCheck, self.cancelCheck)
        EricMessageBoxWizardDialog.setTabOrder(self.cancelCheck, self.closeCheck)
        EricMessageBoxWizardDialog.setTabOrder(self.closeCheck, self.discardCheck)
        EricMessageBoxWizardDialog.setTabOrder(self.discardCheck, self.helpCheck)
        EricMessageBoxWizardDialog.setTabOrder(self.helpCheck, self.ignoreCheck)
        EricMessageBoxWizardDialog.setTabOrder(self.ignoreCheck, self.noCheck)
        EricMessageBoxWizardDialog.setTabOrder(self.noCheck, self.notoallCheck)
        EricMessageBoxWizardDialog.setTabOrder(self.notoallCheck, self.okCheck)
        EricMessageBoxWizardDialog.setTabOrder(self.okCheck, self.openCheck)
        EricMessageBoxWizardDialog.setTabOrder(self.openCheck, self.resetCheck)
        EricMessageBoxWizardDialog.setTabOrder(self.resetCheck, self.restoreCheck)
        EricMessageBoxWizardDialog.setTabOrder(self.restoreCheck, self.retryCheck)
        EricMessageBoxWizardDialog.setTabOrder(self.retryCheck, self.saveCheck)
        EricMessageBoxWizardDialog.setTabOrder(self.saveCheck, self.saveallCheck)
        EricMessageBoxWizardDialog.setTabOrder(self.saveallCheck, self.yesCheck)
        EricMessageBoxWizardDialog.setTabOrder(self.yesCheck, self.yestoallCheck)
        EricMessageBoxWizardDialog.setTabOrder(self.yestoallCheck, self.defaultCombo)
        EricMessageBoxWizardDialog.setTabOrder(self.defaultCombo, self.iconInformation)
        EricMessageBoxWizardDialog.setTabOrder(self.iconInformation, self.iconQuestion)
        EricMessageBoxWizardDialog.setTabOrder(self.iconQuestion, self.iconWarning)
        EricMessageBoxWizardDialog.setTabOrder(self.iconWarning, self.iconCritical)
        EricMessageBoxWizardDialog.setTabOrder(self.iconCritical, self.modalCheck)
        EricMessageBoxWizardDialog.setTabOrder(self.modalCheck, self.yesDefaultCheck)
        EricMessageBoxWizardDialog.setTabOrder(self.yesDefaultCheck, self.saveFuncEdit)
        EricMessageBoxWizardDialog.setTabOrder(self.saveFuncEdit, self.buttonBox)

    def retranslateUi(self, EricMessageBoxWizardDialog):
        _translate = QtCore.QCoreApplication.translate
        EricMessageBoxWizardDialog.setWindowTitle(_translate("EricMessageBoxWizardDialog", "EricMessageBox Wizard"))
        self.typeBox.setTitle(_translate("EricMessageBoxWizardDialog", "Type"))
        self.rInformation.setToolTip(_translate("EricMessageBoxWizardDialog", "Generate an Information message box"))
        self.rInformation.setText(_translate("EricMessageBoxWizardDialog", "Information"))
        self.rQuestion.setToolTip(_translate("EricMessageBoxWizardDialog", "Generate a Question message box"))
        self.rQuestion.setText(_translate("EricMessageBoxWizardDialog", "Question"))
        self.rWarning.setToolTip(_translate("EricMessageBoxWizardDialog", "Generate a Warning message box"))
        self.rWarning.setText(_translate("EricMessageBoxWizardDialog", "Warning"))
        self.rCritical.setToolTip(_translate("EricMessageBoxWizardDialog", "Generate a Critical message box"))
        self.rCritical.setText(_translate("EricMessageBoxWizardDialog", "Critical"))
        self.rYesNo.setToolTip(_translate("EricMessageBoxWizardDialog", "Generate a Yes/No message box"))
        self.rYesNo.setText(_translate("EricMessageBoxWizardDialog", "Yes/No"))
        self.rRetryAbort.setToolTip(_translate("EricMessageBoxWizardDialog", "Generate a retry/abort message box"))
        self.rRetryAbort.setText(_translate("EricMessageBoxWizardDialog", "Retry/Abort"))
        self.rOkToClearData.setToolTip(_translate("EricMessageBoxWizardDialog", "Generate an \"ok to clear data\" message box"))
        self.rOkToClearData.setText(_translate("EricMessageBoxWizardDialog", "OK to clear data"))
        self.rAbout.setToolTip(_translate("EricMessageBoxWizardDialog", "Generate an About message box"))
        self.rAbout.setText(_translate("EricMessageBoxWizardDialog", "About"))
        self.rAboutQt.setToolTip(_translate("EricMessageBoxWizardDialog", "Generate an AboutQt message box"))
        self.rAboutQt.setText(_translate("EricMessageBoxWizardDialog", "About Qt"))
        self.rStandard.setToolTip(_translate("EricMessageBoxWizardDialog", "Generate a standard message box"))
        self.rStandard.setText(_translate("EricMessageBoxWizardDialog", "Standard message box"))
        self.lResultVar.setText(_translate("EricMessageBoxWizardDialog", "Result:"))
        self.eResultVar.setToolTip(_translate("EricMessageBoxWizardDialog", "Enter the result variable name"))
        self.textLabel1.setText(_translate("EricMessageBoxWizardDialog", "Title"))
        self.eCaption.setToolTip(_translate("EricMessageBoxWizardDialog", "Enter the title for the message box"))
        self.textLabel2.setText(_translate("EricMessageBoxWizardDialog", "Message"))
        self.eMessage.setToolTip(_translate("EricMessageBoxWizardDialog", "Enter the message to be shown in the message box"))
        self.parentGroup.setTitle(_translate("EricMessageBoxWizardDialog", "Parent"))
        self.parentSelf.setToolTip(_translate("EricMessageBoxWizardDialog", "Select \"self\" as parent"))
        self.parentSelf.setText(_translate("EricMessageBoxWizardDialog", "self"))
        self.parentNone.setToolTip(_translate("EricMessageBoxWizardDialog", "Select \"None\" as parent"))
        self.parentNone.setText(_translate("EricMessageBoxWizardDialog", "None"))
        self.parentOther.setToolTip(_translate("EricMessageBoxWizardDialog", "Select to enter a parent expression"))
        self.parentOther.setText(_translate("EricMessageBoxWizardDialog", "Expression:"))
        self.parentEdit.setToolTip(_translate("EricMessageBoxWizardDialog", "Enter the parent expression"))
        self.standardButtons.setTitle(_translate("EricMessageBoxWizardDialog", "Standard Buttons"))
        self.abortCheck.setText(_translate("EricMessageBoxWizardDialog", "Abort"))
        self.applyCheck.setText(_translate("EricMessageBoxWizardDialog", "Apply"))
        self.cancelCheck.setText(_translate("EricMessageBoxWizardDialog", "Cancel"))
        self.closeCheck.setText(_translate("EricMessageBoxWizardDialog", "Close"))
        self.discardCheck.setText(_translate("EricMessageBoxWizardDialog", "Discard"))
        self.helpCheck.setText(_translate("EricMessageBoxWizardDialog", "Help"))
        self.ignoreCheck.setText(_translate("EricMessageBoxWizardDialog", "Ignore"))
        self.noCheck.setText(_translate("EricMessageBoxWizardDialog", "No"))
        self.notoallCheck.setText(_translate("EricMessageBoxWizardDialog", "No to all"))
        self.okCheck.setText(_translate("EricMessageBoxWizardDialog", "Ok"))
        self.openCheck.setText(_translate("EricMessageBoxWizardDialog", "Open"))
        self.resetCheck.setText(_translate("EricMessageBoxWizardDialog", "Reset"))
        self.restoreCheck.setText(_translate("EricMessageBoxWizardDialog", "Restore defaults"))
        self.retryCheck.setText(_translate("EricMessageBoxWizardDialog", "Retry"))
        self.saveCheck.setText(_translate("EricMessageBoxWizardDialog", "Save"))
        self.saveallCheck.setText(_translate("EricMessageBoxWizardDialog", "Save all"))
        self.yesCheck.setText(_translate("EricMessageBoxWizardDialog", "Yes"))
        self.yestoallCheck.setText(_translate("EricMessageBoxWizardDialog", "Yes to all"))
        self.defaultButton.setTitle(_translate("EricMessageBoxWizardDialog", "Default Button"))
        self.defaultCombo.setToolTip(_translate("EricMessageBoxWizardDialog", "Select the default button"))
        self.iconBox.setTitle(_translate("EricMessageBoxWizardDialog", "Icon"))
        self.iconInformation.setToolTip(_translate("EricMessageBoxWizardDialog", "Show an Information icon"))
        self.iconInformation.setText(_translate("EricMessageBoxWizardDialog", "Information"))
        self.iconQuestion.setToolTip(_translate("EricMessageBoxWizardDialog", "Show a Question icon"))
        self.iconQuestion.setText(_translate("EricMessageBoxWizardDialog", "Question"))
        self.iconWarning.setToolTip(_translate("EricMessageBoxWizardDialog", "Show a Warning icon"))
        self.iconWarning.setText(_translate("EricMessageBoxWizardDialog", "Warning"))
        self.iconCritical.setToolTip(_translate("EricMessageBoxWizardDialog", "Show a Critical icon"))
        self.iconCritical.setText(_translate("EricMessageBoxWizardDialog", "Critical"))
        self.modalCheck.setToolTip(_translate("EricMessageBoxWizardDialog", "Select to generate a modal message box"))
        self.modalCheck.setText(_translate("EricMessageBoxWizardDialog", "Modal Message Box"))
        self.yesDefaultCheck.setToolTip(_translate("EricMessageBoxWizardDialog", "Select to make \'Yes\' the default"))
        self.yesDefaultCheck.setText(_translate("EricMessageBoxWizardDialog", "Yes is default"))
        self.label.setText(_translate("EricMessageBoxWizardDialog", "Save function:"))
        self.saveFuncEdit.setToolTip(_translate("EricMessageBoxWizardDialog", "Enter the name of the save function"))
from eric7.EricWidgets.EricSpellCheckedTextEdit import EricSpellCheckedTextEdit
